#include <inavr.h>
#include <ioavr.h>


void UART_SEND_CHAR( unsigned char data )
{
  while ( !( UCSR0A & (1<<5)) );
  UDR0 = data;
}

unsigned char UART_GET_CHAR( void )
{
  while (!(UCSR0A & (1<<7)) );
  return UDR0;
}

void UART_SEND_STRING(unsigned char *data)
{
  while (*data)
  {
    UART_SEND_CHAR(*data);
    *data ++;
  }
}